Index: branches/dev_1784_OBS/CONFIG/GYRE_LOBSTER/EXP00/namelist
===================================================================
--- branches/dev_1784_OBS/CONFIG/GYRE_LOBSTER/EXP00/namelist	(revision 1939)
+++ branches/dev_1784_OBS/CONFIG/GYRE_LOBSTER/EXP00/namelist	(revision 2181)
@@ -678,2 +678,110 @@
    nf_ptr_wri =  15        !  Frequency of ptr outputs
 /
+!-----------------------------------------------------------------------
+!       namobs    observation usage switch
+!-----------------------------------------------------------------------
+!
+!  ln_t3d                  Logical switch for T profile observations         
+!  ln_s3d                  Logical switch for S profile observations          
+!  ln_ena                  Logical switch for ENACT insitu data set           
+!  ln_cor                  Logical switch for Coriolis insitu data set       
+!  ln_profb                Logical switch for feedback insitu data set     
+!  ln_sla                  Logical switch for SLA observations               
+!  ln_sladt                Logical switch for AVISO SLA data              
+!  ln_slafb                Logical switch for feedback SLA data            
+!  ln_ssh                  Logical switch for SSH observations              
+!  ln_sst                  Logical switch for SST observations              
+!  ln_reysst               Logical switch for Reynolds observations       
+!  ln_ghrsst               Logical switch for GHRSST observations          
+!  ln_sstfb                Logical switch for feedback SST data          
+!  ln_sss                  Logical switch for SSS observations              
+!  ln_seaice               Logical switch for Sea Ice observations        
+!  ln_vel3d                Logical switch for velocity observations         
+!  ln_velavcur             Logical switch for velocity daily av. cur.    
+!  ln_velhrcur             Logical switch for velocity high freq. cur.   
+!  ln_velavadcp            Logical switch for velocity daily av. ADCP  
+!  ln_velhradcp            Logical switch for velocity high freq. ADCP
+!  ln_velfb                Logical switch for feedback velocity data       
+!  ln_grid_global          Global distribtion of observations         
+!  ln_grid_search_lookup   Logical switch for obs grid search w/lookup table  
+!  grid_search_file        Grid search lookup file header 
+!  enactfiles              ENACT input observation file names 
+!  coriofiles              Coriolis input observation file name  
+!  profbfiles              Profile feedback input observation file name 
+!  ln_profb_enatim         Enact feedback input time setting switch    
+!  slafilesact             Active SLA input observation file name
+!  slafilespas             Passive SLA input observation file name 
+!  slafbfiles              Feedback SLA input observation file name 
+!  sstfiles                GHRSST input observation file name       
+!  sstfbfiles              Feedback SST input observation file name 
+!  seaicefiles             Sea Ice input observation file name 
+!  velavcurfiles           Vel. cur. daily av. input file name  
+!  velhvcurfiles           Vel. cur. high freq. input file name  
+!  velavadcpfiles          Vel. ADCP daily av. input file name    
+!  velhvadcpfiles          Vel. ADCP high freq. input file name 
+!  velfbfiles              Vel. feedback input observation file name 
+!  dobsini                 Initial date in window YYYYMMDD.HHMMSS       
+!  dobsend                 Final date in window YYYYMMDD.HHMMSS         
+!  n1dint                  Type of vertical interpolation method        
+!  n2dint                  Type of horizontal interpolation method       
+!  ln_nea                  Rejection of observations near land switch    
+!  nmsshc                  MSSH correction scheme                         
+!  mdtcorr                 MDT  correction                               
+!  mdtcutoff               MDT cutoff for computed correction          
+!  ln_altbias              Logical switch for alt bias                
+!  ln_ignmis               Logical switch for ignoring missing files   
+!  endailyavtypes          ENACT daily average types                    
+ &namobs
+   ln_t3d = .false.
+   ln_s3d = .false.
+   ln_ena = .false.
+   ln_profb = .false.
+   ln_sla = .false.
+   ln_sladt = .false.
+   ln_slafb = .false.
+   ln_sst = .false.
+   ln_sstfb = .false.
+   nmsshc = 0
+   profbfiles = 'profiles_01.nc'
+   slafbfiles = 'sla_01.nc'
+   sstfbfiles = 'sst_01.nc' 'sst_02.nc' 'sst_03.nc' 'sst_04.nc' 'sst_05.nc'
+   ln_altbias = .false.
+   ln_grid_global = .true.
+   ln_grid_search_lookup = .false.
+   ln_ignmis = .true.  
+/ 
+!-----------------------------------------------------------------------
+!       nam_asminc    assimilation increments namelist
+!-----------------------------------------------------------------------
+! ln_bkgwri   Logical switch for writing out background state 
+! ln_trjwri   Logical switch for writing out state trajectory
+! ln_trainc   Logical switch for applying tracer increments
+! ln_dyninc   Logical switch for applying velocity increments
+! ln_sshinc   Logical switch for applying SSH increments 
+! ln_asmdin   Logical switch for Direct Initialization (DI)
+! ln_asmiau   Logical switch for Incremental Analysis Updating (IAU)
+! nitbkg      Timestep of background in [0,nitend-nit000-1]
+! nitdin      Timestep of background for DI in [0,nitend-nit000-1]
+! nitiaustr   Timestep of start of IAU interval in [0,nitend-nit000-1]
+! nitiaufin   Timestep of end of IAU interval in [0,nitend-nit000-1]
+! niaufn      Type of IAU weighting function
+! nittrjfrq   Frequency of trajectory output for 4D-VAR
+! ln_salfix   Logical switch for ensuring that the sa > salfixmin
+! salfixmin   Minimum salinity after applying the increments
+&nam_asminc
+    ln_bkgwri = .false.
+    ln_trjwri = .false.
+    ln_trainc = .false.
+    ln_dyninc = .false.
+    ln_sshinc = .false.
+    ln_asmdin = .false.
+    ln_asmiau = .false.
+    nitbkg = 0
+    nitdin = 0
+    nitiaustr = 1
+    nitiaufin = 15
+    niaufn = 0
+    nittrjfrq = 0
+    ln_salfix = .false.
+    salfixmin = -9999
+/