Index: branches/DEV_r2191_3partymerge2010/NEMO/OPA_SRC/SBC/sbcfwb.F90
===================================================================
--- branches/DEV_r2191_3partymerge2010/NEMO/OPA_SRC/SBC/sbcfwb.F90	(revision 2203)
+++ branches/DEV_r2191_3partymerge2010/NEMO/OPA_SRC/SBC/sbcfwb.F90	(revision 2207)
@@ -31,5 +31,5 @@
    REAL(wp) ::   a_fwb_b            ! annual domain averaged freshwater budget
    REAL(wp) ::   a_fwb              ! for 2 year before (_b) and before year.
-   REAL(wp) ::   empold             ! empold to be suppressed
+   REAL(wp) ::   fwfold             ! fwfold to be suppressed
    REAL(wp) ::   area               ! global mean ocean surface (interior domain)
 
@@ -65,5 +65,5 @@
       INTEGER  ::   inum                  ! temporary logical unit
       INTEGER  ::   ikty, iyear           ! 
-      REAL(wp) ::   z_emp, z_emp_nsrf, zsum_emp, zsum_erp       ! temporary scalars
+      REAL(wp) ::   z_fwf, z_fwf_nsrf, zsum_fwf, zsum_erp       ! temporary scalars
       REAL(wp) ::   zsurf_neg, zsurf_pos, zsurf_tospread
       REAL(wp), DIMENSION(jpi,jpj) ::   ztmsk_neg, ztmsk_pos, ztmsk_tospread
@@ -79,5 +79,5 @@
             IF( kn_fwb == 1 )   WRITE(numout,*) '          instantaneously set to zero'
             IF( kn_fwb == 2 )   WRITE(numout,*) '          adjusted from previous year budget'
-            IF( kn_fwb == 3 )   WRITE(numout,*) '          emp set to zero and spread out over erp area'
+            IF( kn_fwb == 3 )   WRITE(numout,*) '          fwf set to zero and spread out over erp area'
             !
             IF( kn_fwb == 3 .AND. nn_sssr /= 2 )   &
@@ -101,28 +101,28 @@
          
       !
-      CASE ( 1 )                               ! global mean emp set to zero
+      CASE ( 1 )                               ! global mean fwf set to zero
          IF( MOD( kt-1, kn_fsbc ) == 0 ) THEN
-            z_emp = SUM( e1e2_i(:,:) * emp(:,:) ) / area
-            IF( lk_mpp )   CALL  mpp_sum( z_emp    )   ! sum over the global domain
-            emp (:,:) = emp (:,:) - z_emp
-            emps(:,:) = emps(:,:) - z_emp
-         ENDIF
-         !
-      CASE ( 2 )                               ! emp budget adjusted from the previous year
+            z_fwf = SUM( e1e2_i(:,:) * ( emp(:,:)-rnf(:,:) ) ) / area 
+            IF( lk_mpp )   CALL  mpp_sum( z_fwf    )   ! sum over the global domain 
+            emp (:,:) = emp (:,:) - z_fwf 
+            emps(:,:) = emps(:,:) - z_fwf 
+         ENDIF
+         !
+      CASE ( 2 )                               ! fwf budget adjusted from the previous year
          ! initialisation
          IF( kt == nit000 ) THEN
-            ! Read the corrective factor on precipitations (empold)
+            ! Read the corrective factor on precipitations (fwfold)
             CALL ctl_opn( inum, 'EMPave_old.dat', 'OLD', 'FORMATTED', 'SEQUENTIAL', -1, numout, .FALSE. )
             READ ( inum, "(24X,I8,2ES24.16)" ) iyear, a_fwb_b, a_fwb
             CLOSE( inum )
-            empold = a_fwb                  ! current year freshwater budget correction
+            fwfold = a_fwb                  ! current year freshwater budget correction
             !                               ! estimate from the previous year budget
             IF(lwp)WRITE(numout,*)
-            IF(lwp)WRITE(numout,*)'sbc_fwb : year = ',iyear  , ' freshwater budget correction = ', empold
+            IF(lwp)WRITE(numout,*)'sbc_fwb : year = ',iyear  , ' freshwater budget correction = ', fwfold
             IF(lwp)WRITE(numout,*)'          year = ',iyear-1, ' freshwater budget read       = ', a_fwb
             IF(lwp)WRITE(numout,*)'          year = ',iyear-2, ' freshwater budget read       = ', a_fwb_b
          ENDIF   
          ! 
-         ! Update empold if new year start
+         ! Update fwfold if new year start
          ikty = 365 * 86400 / rdttra(1)    !!bug  use of 365 days leap year or 360d year !!!!!!!
          IF( MOD( kt, ikty ) == 0 ) THEN
@@ -132,5 +132,5 @@
             a_fwb   = a_fwb * 1.e+3 / ( area * 86400. * 365. )     ! convert in Kg/m3/s = mm/s
 !!gm        !                                                      !!bug 365d year 
-            empold =  a_fwb                 ! current year freshwater budget correction
+            fwfold =  a_fwb                 ! current year freshwater budget correction
             !                               ! estimate from the previous year budget
          ENDIF
@@ -138,9 +138,9 @@
          ! correct the freshwater fluxes
          IF( MOD( kt-1, kn_fsbc ) == 0 ) THEN
-            emp (:,:) = emp (:,:) + empold
-            emps(:,:) = emps(:,:) + empold
-         ENDIF
-         !
-         ! save empold value in a file
+            emp (:,:) = emp (:,:) + fwfold
+            emps(:,:) = emps(:,:) + fwfold
+         ENDIF
+         !
+         ! save fwfold value in a file
          IF( kt == nitend .AND. lwp ) THEN
             CALL ctl_opn( inum, 'EMPave.dat', 'REPLACE', 'FORMATTED', 'SEQUENTIAL', -1, numout, .FALSE., narea )
@@ -149,5 +149,5 @@
          ENDIF
          !
-      CASE ( 3 )                               ! global emp set to zero and spread out over erp area
+      CASE ( 3 )                               ! global fwf set to zero and spread out over erp area
          !
          IF( MOD( kt-1, kn_fsbc ) == 0 ) THEN
@@ -161,12 +161,12 @@
             zsurf_pos = SUM( e1e2_i(:,:)*ztmsk_pos(:,:) )
         
-            ! emp global mean 
-            z_emp = SUM( e1e2_i(:,:) * emp(:,:) ) / area
+            ! fwf global mean 
+            z_fwf = SUM( e1e2_i(:,:) * ( emp(:,:)-rnf(:,:) ) ) / area 
             !
-            IF( lk_mpp )   CALL  mpp_sum( z_emp )
+            IF( lk_mpp )   CALL  mpp_sum( z_fwf )
             IF( lk_mpp )   CALL  mpp_sum( zsurf_neg )
             IF( lk_mpp )   CALL  mpp_sum( zsurf_pos )
             
-            IF( z_emp < 0.e0 ) THEN
+            IF( z_fwf < 0.e0 ) THEN
                 ! to spread out over >0 erp area to increase evaporation damping process
                 zsurf_tospread = zsurf_pos
@@ -178,8 +178,8 @@
             ENDIF
 
-            ! emp global mean over <0 or >0 erp area
-            zsum_emp = SUM( e1e2_i(:,:) * z_emp )
-            IF( lk_mpp )   CALL  mpp_sum( zsum_emp )
-            z_emp_nsrf =  zsum_emp / ( zsurf_tospread + rsmall )
+            ! fwf global mean over <0 or >0 erp area
+            zsum_fwf = SUM( e1e2_i(:,:) * z_fwf )
+            IF( lk_mpp )   CALL  mpp_sum( zsum_fwf )
+            z_fwf_nsrf =  zsum_fwf / ( zsurf_tospread + rsmall )
             ! weight to respect erp field 2D structure 
             zsum_erp = SUM( ztmsk_tospread(:,:) * erp(:,:) * e1e2_i(:,:) )
@@ -188,5 +188,5 @@
 
             ! final correction term to apply
-            zerp_cor(:,:) = -1. * z_emp_nsrf * zsurf_tospread * z_wgt(:,:)
+            zerp_cor(:,:) = -1. * z_fwf_nsrf * zsurf_tospread * z_wgt(:,:)
 
             CALL lbc_lnk( zerp_cor, 'T', 1. )
@@ -197,14 +197,14 @@
             
             IF( nprint == 1 .AND. lwp ) THEN
-               IF( z_emp < 0.e0 ) THEN
-                  WRITE(numout,*)'       z_emp < 0'
+               IF( z_fwf < 0.e0 ) THEN
+                  WRITE(numout,*)'       z_fwf < 0'
                   WRITE(numout,*)'       SUM(erp+)        = ', SUM( ztmsk_tospread(:,:)*erp(:,:)*e1e2_i(:,:) )*1.e-3,' m3.s-1'
                ELSE
-                   WRITE(numout,*)'      z_emp >= 0'
+                   WRITE(numout,*)'      z_fwf >= 0'
                    WRITE(numout,*)'      SUM(erp-)        = ', SUM( ztmsk_tospread(:,:)*erp(:,:)*e1e2_i(:,:) )*1.e-3,' m3.s-1'
                ENDIF
-               WRITE(numout,*)'      SUM(empG)        = ', SUM( z_emp*e1e2_i(:,:) )*1.e-3,' m3.s-1'
-               WRITE(numout,*)'      z_emp            = ', z_emp      ,' mm.s-1'
-               WRITE(numout,*)'      z_emp_nsrf       = ', z_emp_nsrf ,' mm.s-1'
+               WRITE(numout,*)'      SUM(empG)        = ', SUM( z_fwf*e1e2_i(:,:) )*1.e-3,' m3.s-1'
+               WRITE(numout,*)'      z_fwf            = ', z_fwf      ,' mm.s-1'
+               WRITE(numout,*)'      z_fwf_nsrf       = ', z_fwf_nsrf ,' mm.s-1'
                WRITE(numout,*)'      MIN(zerp_cor)    = ', MINVAL(zerp_cor) 
                WRITE(numout,*)'      MAX(zerp_cor)    = ', MAXVAL(zerp_cor) 