Index: branches/DEV_r2191_3partymerge2010/NEMO/TOP_SRC/PISCES/p4zbio.F90
===================================================================
--- branches/DEV_r2191_3partymerge2010/NEMO/TOP_SRC/PISCES/p4zbio.F90	(revision 2203)
+++ branches/DEV_r2191_3partymerge2010/NEMO/TOP_SRC/PISCES/p4zbio.F90	(revision 2208)
@@ -43,5 +43,5 @@
    !! NEMO/TOP 2.0 , LOCEAN-IPSL (2007) 
    !! $Id$ 
-   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence  (NEMOGCM/License_CeCILL.txt)
    !!----------------------------------------------------------------------
 
Index: branches/DEV_r2191_3partymerge2010/NEMO/TOP_SRC/PISCES/p4zche.F90
===================================================================
--- branches/DEV_r2191_3partymerge2010/NEMO/TOP_SRC/PISCES/p4zche.F90	(revision 2203)
+++ branches/DEV_r2191_3partymerge2010/NEMO/TOP_SRC/PISCES/p4zche.F90	(revision 2208)
@@ -151,5 +151,5 @@
    !! NEMO/TOP 2.0 , LOCEAN-IPSL (2007) 
    !! $Id$ 
-   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence  (NEMOGCM/License_CeCILL.txt)
    !!----------------------------------------------------------------------
 
Index: branches/DEV_r2191_3partymerge2010/NEMO/TOP_SRC/PISCES/p4zflx.F90
===================================================================
--- branches/DEV_r2191_3partymerge2010/NEMO/TOP_SRC/PISCES/p4zflx.F90	(revision 2203)
+++ branches/DEV_r2191_3partymerge2010/NEMO/TOP_SRC/PISCES/p4zflx.F90	(revision 2208)
@@ -56,5 +56,5 @@
    !! NEMO/TOP 2.0 , LOCEAN-IPSL (2007) 
    !! $Id$ 
-   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence  (NEMOGCM/License_CeCILL.txt)
    !!----------------------------------------------------------------------
 
Index: branches/DEV_r2191_3partymerge2010/NEMO/TOP_SRC/PISCES/p4zint.F90
===================================================================
--- branches/DEV_r2191_3partymerge2010/NEMO/TOP_SRC/PISCES/p4zint.F90	(revision 2203)
+++ branches/DEV_r2191_3partymerge2010/NEMO/TOP_SRC/PISCES/p4zint.F90	(revision 2208)
@@ -34,5 +34,5 @@
    !! NEMO/TOP 2.0 , LOCEAN-IPSL (2007) 
    !! $Id$ 
-   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence  (NEMOGCM/License_CeCILL.txt)
    !!----------------------------------------------------------------------
 
Index: branches/DEV_r2191_3partymerge2010/NEMO/TOP_SRC/PISCES/p4zlim.F90
===================================================================
--- branches/DEV_r2191_3partymerge2010/NEMO/TOP_SRC/PISCES/p4zlim.F90	(revision 2203)
+++ branches/DEV_r2191_3partymerge2010/NEMO/TOP_SRC/PISCES/p4zlim.F90	(revision 2208)
@@ -45,5 +45,5 @@
    !! NEMO/TOP 2.0 , LOCEAN-IPSL (2007) 
    !! $Id$ 
-   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence  (NEMOGCM/License_CeCILL.txt)
    !!----------------------------------------------------------------------
 
Index: branches/DEV_r2191_3partymerge2010/NEMO/TOP_SRC/PISCES/p4zlys.F90
===================================================================
--- branches/DEV_r2191_3partymerge2010/NEMO/TOP_SRC/PISCES/p4zlys.F90	(revision 2203)
+++ branches/DEV_r2191_3partymerge2010/NEMO/TOP_SRC/PISCES/p4zlys.F90	(revision 2208)
@@ -44,5 +44,5 @@
    !! NEMO/TOP 2.0 , LOCEAN-IPSL (2007) 
    !! $Id$ 
-   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence  (NEMOGCM/License_CeCILL.txt)
    !!----------------------------------------------------------------------
 
Index: branches/DEV_r2191_3partymerge2010/NEMO/TOP_SRC/PISCES/p4zmeso.F90
===================================================================
--- branches/DEV_r2191_3partymerge2010/NEMO/TOP_SRC/PISCES/p4zmeso.F90	(revision 2203)
+++ branches/DEV_r2191_3partymerge2010/NEMO/TOP_SRC/PISCES/p4zmeso.F90	(revision 2208)
@@ -49,5 +49,5 @@
    !! NEMO/TOP 2.0 , LOCEAN-IPSL (2007) 
    !! $Id$ 
-   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence  (NEMOGCM/License_CeCILL.txt)
    !!----------------------------------------------------------------------
 
Index: branches/DEV_r2191_3partymerge2010/NEMO/TOP_SRC/PISCES/p4zmicro.F90
===================================================================
--- branches/DEV_r2191_3partymerge2010/NEMO/TOP_SRC/PISCES/p4zmicro.F90	(revision 2203)
+++ branches/DEV_r2191_3partymerge2010/NEMO/TOP_SRC/PISCES/p4zmicro.F90	(revision 2208)
@@ -47,5 +47,5 @@
    !! NEMO/TOP 2.0 , LOCEAN-IPSL (2007) 
    !! $Id$ 
-   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence  (NEMOGCM/License_CeCILL.txt)
    !!----------------------------------------------------------------------
 
Index: branches/DEV_r2191_3partymerge2010/NEMO/TOP_SRC/PISCES/p4zmort.F90
===================================================================
--- branches/DEV_r2191_3partymerge2010/NEMO/TOP_SRC/PISCES/p4zmort.F90	(revision 2203)
+++ branches/DEV_r2191_3partymerge2010/NEMO/TOP_SRC/PISCES/p4zmort.F90	(revision 2208)
@@ -45,5 +45,5 @@
    !! NEMO/TOP 2.0 , LOCEAN-IPSL (2007) 
    !! $Id$ 
-   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence  (NEMOGCM/License_CeCILL.txt)
    !!----------------------------------------------------------------------
 
Index: branches/DEV_r2191_3partymerge2010/NEMO/TOP_SRC/PISCES/p4zopt.F90
===================================================================
--- branches/DEV_r2191_3partymerge2010/NEMO/TOP_SRC/PISCES/p4zopt.F90	(revision 2203)
+++ branches/DEV_r2191_3partymerge2010/NEMO/TOP_SRC/PISCES/p4zopt.F90	(revision 2208)
@@ -39,5 +39,5 @@
    !! NEMO/TOP 2.0 , LOCEAN-IPSL (2007) 
    !! $Id$ 
-   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence  (NEMOGCM/License_CeCILL.txt)
    !!----------------------------------------------------------------------
 
Index: branches/DEV_r2191_3partymerge2010/NEMO/TOP_SRC/PISCES/p4zprod.F90
===================================================================
--- branches/DEV_r2191_3partymerge2010/NEMO/TOP_SRC/PISCES/p4zprod.F90	(revision 2203)
+++ branches/DEV_r2191_3partymerge2010/NEMO/TOP_SRC/PISCES/p4zprod.F90	(revision 2208)
@@ -57,5 +57,5 @@
    !! NEMO/TOP 2.0 , LOCEAN-IPSL (2007) 
    !! $Id$ 
-   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence  (NEMOGCM/License_CeCILL.txt)
    !!----------------------------------------------------------------------
 
Index: branches/DEV_r2191_3partymerge2010/NEMO/TOP_SRC/PISCES/p4zrem.F90
===================================================================
--- branches/DEV_r2191_3partymerge2010/NEMO/TOP_SRC/PISCES/p4zrem.F90	(revision 2203)
+++ branches/DEV_r2191_3partymerge2010/NEMO/TOP_SRC/PISCES/p4zrem.F90	(revision 2208)
@@ -49,5 +49,5 @@
    !! NEMO/TOP 2.0 , LOCEAN-IPSL (2007) 
    !! $Id$ 
-   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence  (NEMOGCM/License_CeCILL.txt)
    !!----------------------------------------------------------------------
 
Index: branches/DEV_r2191_3partymerge2010/NEMO/TOP_SRC/PISCES/p4zsed.F90
===================================================================
--- branches/DEV_r2191_3partymerge2010/NEMO/TOP_SRC/PISCES/p4zsed.F90	(revision 2203)
+++ branches/DEV_r2191_3partymerge2010/NEMO/TOP_SRC/PISCES/p4zsed.F90	(revision 2208)
@@ -68,5 +68,5 @@
    !! NEMO/TOP 2.0 , LOCEAN-IPSL (2007) 
    !! $Header:$ 
-   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence  (NEMOGCM/License_CeCILL.txt)
    !!----------------------------------------------------------------------
 
Index: branches/DEV_r2191_3partymerge2010/NEMO/TOP_SRC/PISCES/p4zsink.F90
===================================================================
--- branches/DEV_r2191_3partymerge2010/NEMO/TOP_SRC/PISCES/p4zsink.F90	(revision 2203)
+++ branches/DEV_r2191_3partymerge2010/NEMO/TOP_SRC/PISCES/p4zsink.F90	(revision 2208)
@@ -73,5 +73,5 @@
    !! NEMO/TOP 2.0 , LOCEAN-IPSL (2007) 
    !! $Id$ 
-   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence  (NEMOGCM/License_CeCILL.txt)
    !!----------------------------------------------------------------------
 
Index: branches/DEV_r2191_3partymerge2010/NEMO/TOP_SRC/PISCES/par_pisces.F90
===================================================================
--- branches/DEV_r2191_3partymerge2010/NEMO/TOP_SRC/PISCES/par_pisces.F90	(revision 2203)
+++ branches/DEV_r2191_3partymerge2010/NEMO/TOP_SRC/PISCES/par_pisces.F90	(revision 2208)
@@ -8,5 +8,5 @@
    !! NEMO/TOP 2.0 , LOCEAN-IPSL (2007) 
    !! $Id$ 
-   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence  (NEMOGCM/License_CeCILL.txt)
    !!----------------------------------------------------------------------
    USE par_lobster, ONLY : jp_lobster      !: number of tracers in LOBSTER
Index: branches/DEV_r2191_3partymerge2010/NEMO/TOP_SRC/PISCES/sms_pisces.F90
===================================================================
--- branches/DEV_r2191_3partymerge2010/NEMO/TOP_SRC/PISCES/sms_pisces.F90	(revision 2203)
+++ branches/DEV_r2191_3partymerge2010/NEMO/TOP_SRC/PISCES/sms_pisces.F90	(revision 2208)
@@ -93,5 +93,5 @@
    !! NEMO/TOP 3.2 , LOCEAN-IPSL (2009) 
    !! $Id$ 
-   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence  (NEMOGCM/License_CeCILL.txt)
    !!======================================================================   
 END MODULE sms_pisces    
Index: branches/DEV_r2191_3partymerge2010/NEMO/TOP_SRC/PISCES/trcctl_pisces.F90
===================================================================
--- branches/DEV_r2191_3partymerge2010/NEMO/TOP_SRC/PISCES/trcctl_pisces.F90	(revision 2203)
+++ branches/DEV_r2191_3partymerge2010/NEMO/TOP_SRC/PISCES/trcctl_pisces.F90	(revision 2208)
@@ -23,5 +23,5 @@
    !! NEMO/TOP 1.0 , LOCEAN-IPSL (2005) 
    !! $Id$ 
-   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence  (NEMOGCM/License_CeCILL.txt)
    !!----------------------------------------------------------------------
 
Index: branches/DEV_r2191_3partymerge2010/NEMO/TOP_SRC/PISCES/trcini_pisces.F90
===================================================================
--- branches/DEV_r2191_3partymerge2010/NEMO/TOP_SRC/PISCES/trcini_pisces.F90	(revision 2203)
+++ branches/DEV_r2191_3partymerge2010/NEMO/TOP_SRC/PISCES/trcini_pisces.F90	(revision 2208)
@@ -42,5 +42,5 @@
    !! NEMO/TOP 2.0 , LOCEAN-IPSL (2007) 
    !! $Id$ 
-   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence  (NEMOGCM/License_CeCILL.txt)
    !!----------------------------------------------------------------------
 
Index: branches/DEV_r2191_3partymerge2010/NEMO/TOP_SRC/PISCES/trclsm_pisces.F90
===================================================================
--- branches/DEV_r2191_3partymerge2010/NEMO/TOP_SRC/PISCES/trclsm_pisces.F90	(revision 2203)
+++ branches/DEV_r2191_3partymerge2010/NEMO/TOP_SRC/PISCES/trclsm_pisces.F90	(revision 2208)
@@ -31,5 +31,5 @@
    !! NEMO/TOP 2.0 , LOCEAN-IPSL (2007) 
    !! $Id$ 
-   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence  (NEMOGCM/License_CeCILL.txt)
    !!----------------------------------------------------------------------
 
Index: branches/DEV_r2191_3partymerge2010/NEMO/TOP_SRC/PISCES/trcsms_pisces.F90
===================================================================
--- branches/DEV_r2191_3partymerge2010/NEMO/TOP_SRC/PISCES/trcsms_pisces.F90	(revision 2203)
+++ branches/DEV_r2191_3partymerge2010/NEMO/TOP_SRC/PISCES/trcsms_pisces.F90	(revision 2208)
@@ -39,5 +39,5 @@
    !! NEMO/TOP 2.0 , LOCEAN-IPSL (2007) 
    !! $Id$ 
-   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence  (NEMOGCM/License_CeCILL.txt)
    !!----------------------------------------------------------------------
 