Index: /branches/DEV_r1826_DOC/DOC/TexFiles/Chapters/Chap_STP.tex
===================================================================
--- /branches/DEV_r1826_DOC/DOC/TexFiles/Chapters/Chap_STP.tex	(revision 2210)
+++ /branches/DEV_r1826_DOC/DOC/TexFiles/Chapters/Chap_STP.tex	(revision 2211)
@@ -22,5 +22,5 @@
 Having defined the continuous equations in Chap.~\ref{PE}, we need now to choose 
 a time discretization. In the present chapter, we provide a general description of the \NEMO 
-time stepping strategy and its consequences for the order in which the equations are
+time stepping strategy and the consequences for the order in which the equations are
 solved.
 
@@ -40,21 +40,21 @@
 corresponding time evolution equation; $\rdt$ is the time step; and the 
 superscripts indicate the time at which a quantity is evaluated. Each term of the 
-RHS is evaluated at a specific time step(s) depending on the physics with which 
+RHS is evaluated at a specific time step depending on the physics with which 
 it is associated. 
 
 The choice of the time step used for this evaluation is discussed below as 
-well as the implications in terms of starting or restarting a model 
-simulation. Note that the time stepping is generally performed in a one step 
+well as the implications for starting or restarting a model 
+simulation. Note that the time stepping calculation is generally performed in a single 
 operation. With such a complex and nonlinear system of equations it would be 
 dangerous to let a prognostic variable evolve in time for each term separately.
 
-The three level scheme requires three arrays for each prognostic variables. 
-For each variable $x$ there is $x_b$ (before) and $x_n$ (now). The third array, 
+The three level scheme requires three arrays for each prognostic variable. 
+For each variable $x$ there is $x_b$ (before), $x_n$ (now) and $x_a$. The third array, 
 although referred to as $x_a$ (after) in the code, is usually not the variable at 
 the after time step; but rather it is used to store the time derivative (RHS in 
 \eqref{Eq_STP}) prior to time-stepping the equation. Generally, the time 
-stepping is performed once at each time step in \mdl{tranxt} and \mdl{dynnxt} 
-modules, except for implicit vertical diffusion or sea surface height when 
-time-splitting options are used.
+stepping is performed once at each time step in the \mdl{tranxt} and \mdl{dynnxt} 
+modules, except when using implicit vertical diffusion or calculating sea surface height 
+in which case time-splitting options are used.
 
 % -------------------------------------------------------------------------------------------------------------
@@ -64,19 +64,20 @@
 \label{STP_leap_frog}
 
-The time stepping used for non-diffusive processes is the well-known leapfrog
-scheme \citep{Mesinger_Arakawa_Bk76}. It is a time centred scheme, $i.e.$ 
+The time stepping used for processes other than diffusion is the well-known leapfrog
+scheme \citep{Mesinger_Arakawa_Bk76}.  This scheme is widely used for advection 
+processes in low-viscosity fluids. It is a time centred scheme, $i.e.$ 
 the RHS in \eqref{Eq_STP} is evaluated at time step $t$, the now time step. 
-It is only used for non-diffusive terms, that is momentum and tracer advection, 
-pressure gradient, and Coriolis terms. This scheme is widely used for advective 
-processes in low-viscosity fluids. It is an efficient method that achieves 
+It may be used for momentum and tracer advection, 
+pressure gradient, and Coriolis terms, but not for diffusion terms.
+It is an efficient method that achieves 
 second-order accuracy with just one right hand side evaluation per time step. 
 Moreover, it does not artificially damp linear oscillatory motion nor does it produce 
 instability by amplifying the oscillations. These advantages are somewhat diminished 
 by the large phase-speed error of the leapfrog scheme, and the unsuitability 
-of leapfrog differencing for the representation of diffusive and Rayleigh 
+of leapfrog differencing for the representation of diffusion and Rayleigh 
 damping processes. However, the scheme allows the coexistence of a numerical 
 and a physical mode due to its leading third order dispersive error. In other words a 
 divergence of odd and even time steps may occur. To prevent it, the leapfrog scheme 
-is often used in association with a Robert-Asselin time filter (thereafter the LF-RA scheme). 
+is often used in association with a Robert-Asselin time filter (hereafter the LF-RA scheme). 
 This filter, first designed by \citet{Robert_JMSJ66} and more comprehensively studied 
 by \citet{Asselin_MWR72}, is a kind of laplacian diffusion in time that mixes odd and 
@@ -87,18 +88,17 @@
 where the subscript $F$ denotes filtered values and $\gamma$ is the Asselin 
 coefficient. $\gamma$ is initialized as \np{rn\_atfp} (namelist parameter). 
-Its default value is \textit{now} (see \S~\ref{STP_mLF}) \np{rn\_atfp}=$10^{-3}$, 
+Its default value is \np{rn\_atfp}=$10^{-3}$ (see \S~\ref{STP_mLF}), 
 causing only a weak dissipation of high frequency motions (\citep{Farge1987}). 
-The addition of a time filter does, nevertheless, degrade the accuracy of the 
+The addition of a time filter degrades the accuracy of the 
 calculation from second to first order. However, the second order truncation 
 error is proportional to $\gamma$, which is small compared to 1. Therefore, 
 the LF-RA is a quasi second order accurate scheme. The LF-RA scheme 
-has been preferred to other time differencing schemes such as 
+is preferred to other time differencing schemes such as 
 predictor corrector or trapezoidal schemes, because the user has an explicit 
 and simple control of the magnitude of the time diffusion of the scheme. 
-In association with the 2nd order centred space discretisation of the 
-advective terms in the momentum and tracer equations, it avoids implicit 
-numerical diffusion in both the time and space discretisations of the 
-advective term: they are both set explicitly by the user through the Robert-Asselin 
-filter parameter and the viscous and diffusive coefficients.
+When used with the 2nd order space centred discretisation of the 
+advection terms in the momentum and tracer equations, LF-RA avoids implicit 
+numerical diffusion: diffusion is set explicitly by the user through the Robert-Asselin 
+filter parameter and the viscosity and diffusion coefficients.
 
 % -------------------------------------------------------------------------------------------------------------
@@ -109,6 +109,6 @@
 
 The leapfrog differencing scheme is unsuitable for the representation of 
-diffusive and damping processes. For a tendancy $D_x$, representing a 
-diffusive term or a restoring term to a tracer climatology 
+diffusion and damping processes. For a tendancy $D_x$, representing a 
+diffusion term or a restoring term to a tracer climatology 
 (when present, see \S~\ref{TRA_dmp}), a forward time differencing scheme
  is used :
@@ -117,5 +117,5 @@
 \end{equation} 
 
-This is diffusive in time and conditionally stable. For example, the 
+This is diffusive in time and conditionally stable. The 
 conditions for stability of second and fourth order horizontal diffusion schemes are \citep{Griffies_Bk04}:
 \begin{equation} \label{Eq_STP_euler_stability}
@@ -134,11 +134,11 @@
 
 For the vertical diffusion terms, a forward time differencing scheme can be 
-used, but usually the numerical stability condition implies a strong 
+used, but usually the numerical stability condition imposes a strong 
 constraint on the time step. Two solutions are available in \NEMO to overcome 
 the stability constraint: $(a)$ a forward time differencing scheme using a 
 time splitting technique (\np{ln\_zdfexp}=.true.) or $(b)$ a backward (or implicit) 
-time differencing scheme by \np{ln\_zdfexp}=.false.). In $(a)$, the master 
+time differencing scheme (\np{ln\_zdfexp}=.false.). In $(a)$, the master 
 time step $\Delta $t is cut into $N$ fractional time steps so that the 
-stability criterion is reduced by a factor of $N$. The computation is done as 
+stability criterion is reduced by a factor of $N$. The computation is performed as 
 follows:
 \begin{equation} \label{Eq_STP_ts}
@@ -152,5 +152,5 @@
 \end{equation}
 with DF a vertical diffusion term. The number of fractional time steps, $N$, is given 
-by setting \np{n\_zdfexp}, (namelist parameter). The scheme $(b)$ is unconditionally 
+by setting \np{nn\_zdfexp}, (namelist parameter). The scheme $(b)$ is unconditionally 
 stable but diffusive. It can be written as follows:
 \begin{equation} \label{Eq_STP_imp}
@@ -159,6 +159,6 @@
 
 This scheme is rather time consuming since it requires a matrix inversion, 
-but it becomes attractive since a splitting factor of 3 or more is needed 
-for the forward time differencing scheme. For example, the finite difference 
+but it becomes attractive since a value of 3 or more is needed for N in
+the forward time differencing scheme. For example, the finite difference 
 approximation of the temperature equation is:
 \begin{equation} \label{Eq_STP_imp_zdf}
@@ -168,4 +168,5 @@
 \end{equation}
 where RHS is the right hand side of the equation except for the vertical diffusion term. 
+\sgacomment{why change from T to u in the following equation?}
 We rewrite \eqref{Eq_STP_imp} as:
 \begin{equation} \label{Eq_STP_imp_mat}
@@ -179,6 +180,6 @@
 \end{align*}
 
-\eqref{Eq_STP_imp_mat} is a linear system of equations which associated 
-matrix is tridiagonal. Moreover, $c(k)$ and $d(k)$ are positive and the diagonal 
+\eqref{Eq_STP_imp_mat} is a linear system of equations with an associated 
+matrix which is tridiagonal. Moreover, $c(k)$ and $d(k)$ are positive and the diagonal 
 term is greater than the sum of the two extra-diagonal terms, therefore a special 
 adaptation of the Gauss elimination procedure is used to find the solution 
@@ -198,10 +199,10 @@
 \includegraphics[width=0.7\textwidth]{./TexFiles/Figures/Fig_TimeStepping_flowchart.pdf}
 \caption{Sketch of the leapfrog time stepping sequence in \NEMO from \citet{Leclair_Madec_OM09}. 
-The use of semi-implicit computation of the hydrostatic pressure gradient requires
-the tracer equation to be step forward prior to the momentum equation. 
-The need of the knowledge of the vertical scale factor (here denoted as $h$)
-requires the sea surface height and the continuity equation to be step forward
+The use of a semi-implicit computation of the hydrostatic pressure gradient requires
+the tracer equation to be stepped forward prior to the momentum equation. 
+The need for knowledge of the vertical scale factor (here denoted as $h$)
+requires the sea surface height and the continuity equation to be stepped forward
 prior to the computation of the tracer equation.
-Note that how the surface pressure gradient $\nabla p_s$ is evaluated is not represented here 
+Note that the method for the evaluation of the surface pressure gradient $\nabla p_s$ is not presented here 
 (see \S~\ref{DYN_spg}). }
 \end{center}   \end{figure}
@@ -212,8 +213,8 @@
 by introducing a semi-implicit computation of the hydrostatic pressure gradient term
 \citep{Brown_Campana_MWR78}. Instead of evaluating the pressure at $t$, a linear 
-combination of $t-\rdt$, $t$ and $t+\rdt$ is used (see \S~\ref{DYN_hpg_imp}).  
-This technique, controlled by  \np{nn\_dynhpg\_rst} namelist parameter, does not 
-require a significant additional computational coast when tracers and thus density 
-is time stepped before the dynamics, a choice made in \NEMO 
+combination of values at $t-\rdt$, $t$ and $t+\rdt$ is used (see \S~\ref{DYN_hpg_imp}).  
+This technique, controlled by the \np{nn\_dynhpg\_rst} namelist parameter, does not 
+introduce a significant additional computational cost when tracers and thus density 
+is time stepped before the dynamics. This time step ordering is used in \NEMO 
 (Fig.\ref{Fig_TimeStep_flowchart}).
 
@@ -225,17 +226,18 @@
 as the Forward-Backward scheme used in MOM \citep{Griffies_al_OS05} and more 
 efficient than the LF-AM3 scheme (leapfrog time stepping combined with a third order
-Adams-Moulthon interpolation for the predictor phase) used in ROMS 
+Adams-Moulton interpolation for the predictor phase) used in ROMS 
 \citep{Shchepetkin_McWilliams_OM05}. 
 
-In fact, this technique is efficient when the physical phenomenum that 
-controls the time-step is internal gravity waves (IGWs). Indeed, it is 
+In fact, this technique is efficient when the physical phenomenon that 
+limits the time-step is internal gravity waves (IGWs). Indeed, it is 
 equivalent to applying a time filter to the pressure gradient to eliminate high 
 frequency IGWs. Obviously, the doubling of the time-step is achievable only 
 if no other factors control the time-step, such as the stability limits associated 
 with advection, diffusion or Coriolis terms. For example, it is useless in low resolution
-global ocean configurations as inertial oscillations in vicinity of the North Pole 
-are the limiting factor of the time step. It is also often useless in very high 
-resolution configurations where the strong currents and small grid cells exert 
+global ocean configurations, since inertial oscillations in the vicinity of the North Pole 
+are the limiting factor for the time step. It is also often useless in very high 
+resolution configurations where strong currents and small grid cells exert 
 the strongest constraint on the time step.
+\sgacomment{ not sure "useless" is the right word here. "valueless", "inefficient"?}
 
 
@@ -247,11 +249,11 @@
 
 Significant changes have been introduced by \cite{Leclair_Madec_OM09} in the 
-LF-RA scheme in order to ensure the tracer conservation and to allow the use of 
-a much smaller value of the Asselin filter parameter. The modifications concern 
-both the forcing and filtering treatment in the LF-RA scheme.
+LF-RA scheme in order to ensure tracer conservation and to allow the use of 
+a much smaller value of the Asselin filter parameter. The modifications affect 
+both the forcing and filtering treatments in the LF-RA scheme.
 
 In a classical LF-RA environment, the forcing term is centred in time, $i.e.$ 
 it is time-stepped over a $2\rdt$ period:  $x^t  = x^t + 2\rdt Q^t $ where $Q$ 
-is the forcing applied on $x$, and the filter is given by \eqref{Eq_STP_asselin}. 
+is the filtered forcing applied to $x$, and the filter is given by \eqref{Eq_STP_asselin}. 
 In the modified LF-RA environment, these two formulations have been replaced by:
 \begin{align} 
@@ -261,16 +263,18 @@
            - \gamma\,\rdt \, \left[ Q^{t+\rdt/2} -  Q^{t-\rdt/2} \right]                          \label{Eq_STP_RA}
 \end{align}
+\sgacomment{Q(t)=f(x(t-dt),x(t),x(t+dt)), Q(t-dt/2)?}
 
 The change in the forcing formulation given by \eqref{Eq_STP_forcing} 
-(see Fig.\ref{Fig_MLF_forcing}) has a paramount effect: the forcing term no 
+(see Fig.\ref{Fig_MLF_forcing}) has a significant effect: the forcing term no 
 longer excites the divergence of odd and even time steps \citep{Leclair_Madec_OM09}. 
-This property allows to improve the LF-RA scheme in two aspects. 
+This property improves the LF-RA scheme in two respects. 
 First, the LF-RA becomes a truly quasi-second order scheme. Indeed, 
-\eqref{Eq_STP_forcing} used in combination with a careful treatment of the static 
-instabilities (\S\ref{ZDF_evd}) and of the TKE physics (\S\ref{ZDF_tke_ene}),
-the two main other sources of time step divergence, allows a reduction by two order 
+\eqref{Eq_STP_forcing} used in combination with a careful treatment of static 
+instability (\S\ref{ZDF_evd}) and of the TKE physics (\S\ref{ZDF_tke_ene}),
+the two other main sources of time step divergence, allows a reduction by two orders 
 of magnitude of the Asselin filter parameter. 
 Second, the LF-RA can now ensure the local and global conservation of tracers.
-Indeed, the time filtering is no more required on the forcing part. The influence of 
+Indeed, time filtering is no longer required on the forcing part. 
+\sgacomment{ but Q is described above as the forcing part!} The influence of 
 the forcing in the Asselin filter can be removed by adding a new term in the filter
 (last term in \eqref{Eq_STP_RA} compared to \eqref{Eq_STP_asselin}). Since 
@@ -282,5 +286,5 @@
 in the time filter, \eqref{Eq_STP_RA}, allows an exact evaluation of the 
 contribution due to the forcing term between any two time steps, 
-even if separated by only $\rdt$ as the time filter is no more applied on the
+even if separated by only $\rdt$ since the time filter is no longer applied to the
 forcing term.
 
@@ -294,4 +298,5 @@
 %>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 
+\sgacomment{two methods in caption sound the same}
 
 % -------------------------------------------------------------------------------------------------------------
@@ -309,6 +314,6 @@
 	x^1 = x^0 + \rdt \ \text{RHS}^0
 \end{equation}
-This is done simply by keeping the leapfrog environment but setting at the first time step
-only both a half $\rdt$ and the equality of all \textit{before} and \textit{now} fields.
+This is done simply by keeping the leapfrog environment but setting all $x^0$ (\textit{before})
+and $x^{1/2}$ (\textit{now}) fields equal at the first time step.
 
 It is also possible to restart from a previous computation, by using a 
@@ -322,12 +327,12 @@
 Note that when a semi-implicit scheme is used to evaluate the hydrostatic pressure 
 gradient (see \S\ref{DYN_hpg_imp}), an extra three-dimensional field has to be 
-added in the restart file to ensure an exact restartability. This is done only optionally 
-via the namelist parameter \np{nn\_dynhpg\_rst}, so that a reduction of the size of 
-restart file can be obtained when the restartability is not a key issue (operational 
-oceanography or ensemble simulation for seasonal forcast).
+added to the restart file to ensure an exact restartability. This is done optionally 
+via the namelist parameter \np{nn\_dynhpg\_rst}, so that the size of the
+restart file can be reduced when restartability is not a key issue (operational 
+oceanography or in ensemble simulations for seasonal forecasting).
 
 Note the size of the time step used, $\rdt$, is also saved in the restart file. 
 When restarting, if the the time step has been changed, a restart using an Euler time 
-stepping is imposed. 
+stepping scheme is imposed. 
 %%%
 \gmcomment{